/*
Continuous Testing Toolkit
Copyright (C) 2009 Paul R. Holser, Jr.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.infinitest.toolkit.filter;

import static java.lang.System.*;
import java.util.Properties;

import org.junit.runners.BlockJUnit4ClassRunner;
import org.junit.runners.model.InitializationError;

/**
 * JUnit 4 runner that filters test execution based on annotations.
 */
public class FilteringRunner extends BlockJUnit4ClassRunner {
    public FilteringRunner(Class<?> clazz) throws InitializationError {
        this(clazz, getProperties());
    }

    FilteringRunner(Class<?> clazz, Properties properties) throws InitializationError {
        super(clazz);
        FilteringRunnerHelper.filterRunner(this, clazz, properties);
    }
}
